unit fmDBControls;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  fmChild, vg2PropStore, StdCtrls, Buttons, ComCtrls, ExtCtrls,
  vg2ExtCtrls, vg2DBNavigate, Grids, DBGrids, Db, vg2DBDialogs, vg2Tools;

type
  TDBControlsForm = class(TChildForm)
    PageControl1: TPageControl;
    TabSheet2: TTabSheet;
    GroupBox1: TGroupBox;
    TabSheet5: TTabSheet;
    cmTvg2DBNavigator: TSpeedButton;
    Label12: TLabel;
    vg2DBNavigator1: Tvg2DBNavigator;
    dsOrders: TDataSource;
    DBGrid1: TDBGrid;
    TabSheet1: TTabSheet;
    PageControl2: TPageControl;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet6: TTabSheet;
    GroupBox2: TGroupBox;
    cmTvg2DBText: TSpeedButton;
    cmTvg2DBCalculatorEdit: TSpeedButton;
    cmTvg2DBDateTimeEdit: TSpeedButton;
    cmTvg2DBSpinEdit: TSpeedButton;
    cmTvg2DBEdit: TSpeedButton;
    Label2: TLabel;
    Label3: TLabel;
    GroupBox3: TGroupBox;
    cmTvg2DBListBox: TSpeedButton;
    cmTvg2DBComboBox: TSpeedButton;
    cmTvg2DBLookupComboBox: TSpeedButton;
    Label11: TLabel;
    Label14: TLabel;
    GroupBox4: TGroupBox;
    cmTvg2DBTreeView: TSpeedButton;
    Label22: TLabel;
    Label1: TLabel;
    cmTvg2DBCheckBox: TSpeedButton;
    cmTvg2DBRadioButton: TSpeedButton;
    Label13: TLabel;
    GroupBox5: TGroupBox;
    cmTvg2DBLocateDialog: TSpeedButton;
    Label4: TLabel;
    cmTvg2DBSearchDialog: TSpeedButton;
    Label5: TLabel;
    cmTvg2DBFilterDialog: TSpeedButton;
    Label6: TLabel;
    cmTvg2DBRecordViewDialog: TSpeedButton;
    Label7: TLabel;
    dlLocate: Tvg2DBLocateDialog;
    dlSearch: Tvg2DBSearchDialog;
    dlFilter: Tvg2DBFilterDialog;
    dlRecord: Tvg2DBRecordViewDialog;
    cmDlg1: TButton;
    cmDlg2: TButton;
    cmDlg3: TButton;
    cmDlg4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure cmDlg3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses dmMain, dmDBMain;

{$R *.DFM}

procedure TDBControlsForm.FormCreate(Sender: TObject);
begin
  inherited;
  dmDB.tbOrders.Open;
  dmDB.tbCustomers.Open;
end;

procedure TDBControlsForm.cmDlg3Click(Sender: TObject);
begin
  case TComponent(Sender).Tag of
    0: dlLocate.Execute;
    1: dlSearch.Execute;
    2: dlFilter.Execute;
    3: dlRecord.Execute;
  end;
end;

end.
