{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  VCL Registration (MIDAS)                             }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2ADOReg;

interface


procedure Register;

implementation
uses Classes, DsgnIntf, StrEdit, AdoReg,
  vg2Consts, vg2ADODB, vg2ADODsgn;

{$R vg2ADO.dcr}

procedure Register;
begin
  RegisterComponents(SRegDataADO, [
    Tvg2ADOCommand,
    Tvg2ADODataSet, Tvg2ADOTable, Tvg2ADOQuery, Tvg2ADOStoredProc,
    Tvg2ADOUpdateSQL, Tvg2ADOSQLScript]);

  RegisterComponentEditor(Tvg2ADODataSet, Tvg2ADODataSetEditor);
  RegisterComponentEditor(Tvg2ADOUpdateSQL, Tvg2ADOUpdateSQLEditor);

  RegisterPropertyEditor(TypeInfo(WideString), Tvg2ADOTable, 'TableName', TTableNameProperty);
  RegisterPropertyEditor(TypeInfo(WideString), Tvg2ADOStoredProc, 'ProcedureName', TProcedureNameProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2ADODataSet, 'MasterFields', Tvg2ADODataSetFieldLinkProperty);
  RegisterPropertyEditor(TypeInfo(WideString), Tvg2ADODataSet, 'CommandText', TCommandTextProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2ADOTable, 'MasterFields', Tvg2ADOTableFieldLinkProperty);

  RegisterPropertyEditor(TypeInfo(TStrings), Tvg2ADOQuery, 'SQL', TStringListProperty);

end;

end.
